require 'test_helper'
require 'appscript'
require 'json'
require 'yaml'
require 'base64'
#require 'pp'
require 'refx/engine/p3lib'
require 'refx/engine/p3lib/p3lib_hash_from_xml'

class P3libImageTest < Minitest::Test
  def test_imageutil_path
    assert_equal File.exists?(P3libImage::p3imgutils_path+'/'+'p3scale'), true
  end
end

class P3libLoggerTest < Minitest::Test
  def test_log_info
    P3libLogger::log("test",'test')
  end
end

class P3libHashFromXML < Minitest::Test
  def test_log_info

    xml = '<?xml version="1.0" encoding="UTF-8"?>
<document spread_count="1" page_count="1" html_prev="uploads/tx_p3ga/421/page_1_1.png" >
  <spreads >
    <spread215 page_count="1" index="1" id="215" >
      <pages >
        <page222 sourceId="222" preview="uploads/tx_p3ga/421/page_1_1.png" id="222" side="single" html_prev="uploads/tx_p3ga/421/page_1_1.png" >
          <layerGroups >
            <group00 >
              <layer163 preview="uploads/tx_p3ga/421/page_1_1_layer163.png" layerID="163" html_prev="uploads/tx_p3ga/421/page_1_1_layer163.png" />
            </group00>
            <group01 >
              <layer210 preview="uploads/tx_p3ga/421/page_1_1_layer210.png" layerID="210" html_prev="uploads/tx_p3ga/421/page_1_1_layer210.png" />
            </group01>
            <group02 >
              <layer536 layerID="536" />
            </group02>
          </layerGroups>
        </page222>
      </pages>
    </spread215>
  </spreads>
</document>
'
    finalHash = Hash.from_xml(xml,true)
    assert_equal finalHash['document']['spreads']['spread215']['pages']['page222']['layerGroups'].count, 3
    assert_equal finalHash['document']['spreads']['spread215']['pages']['page222']['html_prev'], 'uploads/tx_p3ga/421/page_1_1.png'
    assert_equal finalHash['document']['spreads']['spread215']['pages']['page222']['id'], '222'
  end
end
